package org.processmining.acceptingpetrinetminer.miners.impl;

import org.processmining.plugins.InductiveMiner.mining.MiningParameters;
import org.processmining.plugins.InductiveMiner.mining.MiningParametersIMi;

public class DecomposedInductiveMinerPerfectFitness extends DecomposedAbstractInductiveMiner {

	public String getName() {
		return "Inductive Miner (Perfect Fitness)";
	}

	public MiningParameters createParameters() {
		return new MiningParametersIMi();
	}

	public void setAdditionalParameters(MiningParameters minerParameters) {
		minerParameters.setNoiseThreshold(0.0f);
	}
	
}
