package org.processmining.acceptingpetrinetminer.miners.impl;

import org.processmining.causalactivitymatrixminer.miners.MatrixMiner;
import org.processmining.causalactivitymatrixminer.miners.impl.HAFMiniMatrixMiner;
import org.processmining.hybridilpminer.parameters.LPVariableType;

public class DecomposedSingleHybridILPMiner extends DecomposedAbstractHybridILPMiner {

	public String getName() {
		return "Hybrid ILP MIner (Single)";
	}

	public MatrixMiner getMiner() {
		return new HAFMiniMatrixMiner();
	}

	public LPVariableType getVariableType() {
		return LPVariableType.SINGLE;
	}

}
