package org.processmining.acceptingpetrinetminer.help;

public class DiscoverAcceptingPetriNetArrayFromEventLogArrayHelp {

	public final static String TEXT = ""
			+ "Discovers an array of accepting Petri nets from an array of logs, given a discovery algorithm. "
			+ "The first discovered net is the result of applying the given algorithm to the first log, etc. "
			+ "Discovery algorithms supported include the Alpha Miner, the Heuristics Miner, the (Hybrid) ILP Miner, "
			+ "the Inductive Miner, and the Evolutionary Tree Miner. "
			+ "In case of the Evolutionary Tree Miner, the maximum number of generations will be divided equally over all logs in the array.";
}
